function [accRate, nSVs] = m_test(TrainData, trainLabel, weights, C, TestData, testLabel)
% TrainData, TestData: data in column vectors
% trainLabel, testLabel, weights: three column vectors

    n = size(TrainData, 2);
    m = size(TestData, 2);
    weights = weights.^2;
    TrainKernel = TrainData'*(TrainData.*repmat(weights,1,n));
    model = svmtrain(trainLabel, [(1:n)', TrainKernel], sprintf('-t 4 -c %g', C));
    TestKernel = TestData'*(TrainData.*repmat(weights, 1, n));
    [dontcare, accRate] = svmpredict(testLabel, [(1:m)', TestKernel], model);
    accRate = accRate(1);
    nSVs = sum(model.nSV);
    fprintf('Number of SVs: %d\n', nSVs);
    
 